<?
/* 2011-09-26 - dodanie typu strony LINK */

namespace site;

class Site {

  private $_id;
  private $_menu;
  private $_site_type;
  private $_sort_type;
  private $_article_number;
  private $_show_title;
  private $_title;
  private $_description;
  private $_keywords;
  private $_link;
  private $_seo_link;
  
  public function get_seo_link() {
    return $this->_seo_link;
  }

  public function set_seo_link($_seo_link) {
    $this->_seo_link = $_seo_link;
  }
  
  public function get_id()
  {
    return $this->_id;
  }

  public function set_id($_id)
  {
    $this->_id = $_id;
  }

  public function get_menu()
  {
    return $this->_menu;
  }

  public function set_menu($_menu)
  {
    $this->_menu = $_menu;
  }

  public function get_site_type()
  {
    return $this->_site_type;
  }

  public function set_site_type($_site_type)
  {
    $this->_site_type = $_site_type;
  }

  public function get_sort_type()
  {
    return $this->_sort_type;
  }

  public function set_sort_type($_sort_type)
  {
    $this->_sort_type = $_sort_type;
  }

  public function get_article_number()
  {
    return $this->_article_number;
  }

  public function set_article_number($_article_number)
  {
    $this->_article_number = $_article_number;
  }

  public function get_show_title()
  {
    return $this->_show_title;
  }

  public function set_show_title($_show_title)
  {
    $this->_show_title = $_show_title;
  }

  public function get_title()
  {
    return $this->_title;
  }

  public function set_title($_title)
  {
    $this->_title = $_title;
  }

  public function get_description()
  {
    return $this->_description;
  }

  public function set_description($_description)
  {
    $this->_description = $_description;
  }

  public function get_keywords()
  {
    return $this->_keywords;
  }

  public function set_keywords($_keywords)
  {
    $this->_keywords = $_keywords;
  }

  public function get_link()
  {
    return $this->_link;
  }

  public function set_link($_link)
  {
    $this->_link = $_link;
  }
}
?>
